-- phpMyAdmin SQL Dump
-- version 5.2.1deb3
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: Jun 20, 2025 at 06:29 PM
-- Server version: 10.11.13-MariaDB-0ubuntu0.24.04.1
-- PHP Version: 8.3.6

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `becastwe`
--

DELIMITER $$
--
-- Procedures
--
CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_ptc_savelog` (IN `vUID` INT(11), IN `vRoom` VARCHAR(255), IN `vTimestamp` INT(11))   BEGIN
	DECLARE PID int$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_ptc_saveofflinemessage` (IN `vSender` INT(11), IN `vReceiver` INT(11), IN `vSubject` VARCHAR(50), IN `vMessage` VARCHAR(255))   BEGIN
	INSERT INTO `ab_privatemessages` (`uid`, `toid`,`fromid`,`folder`, `subject`, `message`,`dateline`) VALUES (vReceiver,vReceiver,vSender,'1', vSubject, vMessage,UNIX_TIMESTAMP())$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `sp_ptc_saveuserdata` (IN `vUID` INT(11), IN `vColor` VARCHAR(6), IN `vLastonline` INT(11), IN `vChattime` BIGINT(20))   BEGIN
        SET @x = (SELECT COUNT(`uid`) FROM `ptc_users` WHERE `uid` = vUID)$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Stand-in structure for view `aa_smilies`
-- (See below for the actual view)
--
CREATE TABLE `aa_smilies` (
`name` varchar(120)
,`find` text
,`image` varchar(220)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `aa_v_nickpage`
-- (See below for the actual view)
--
CREATE TABLE `aa_v_nickpage` (
`uid` int(11)
,`username` varchar(120)
,`realname` varchar(120)
,`role` int(11)
,`homepage` varchar(200)
,`from` varchar(100)
,`bio` text
,`since` int(11)
,`gender` enum('m','f','u')
,`birthday` varchar(15)
,`birthdayprivacy` varchar(4)
,`signature` text
,`lang` varchar(3)
,`lastvisit` int(11)
,`lastactive` int(11)
,`lastip` varbinary(16)
,`allow_grimdark` enum('0','1')
,`fuid` int(11)
,`id` int(11)
,`np_text` text
,`np_link1` varchar(130)
,`np_link2` varchar(130)
,`np_link3` varchar(130)
,`np_link4` varchar(130)
,`np_picture` varchar(200)
,`np_mood` int(11)
,`ufid` int(10) unsigned
,`fid1` text
,`fid2` text
,`fid3` text
);

-- --------------------------------------------------------

--
-- Table structure for table `bcwe_adminsessions`
--

CREATE TABLE `bcwe_adminsessions` (
  `sid` varchar(32) NOT NULL DEFAULT '',
  `uid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `loginkey` varchar(50) NOT NULL DEFAULT '',
  `ip` varbinary(16) NOT NULL DEFAULT '',
  `dateline` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `lastactive` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `data` text NOT NULL,
  `useragent` varchar(200) NOT NULL DEFAULT '',
  `authenticated` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `bcwe_banned_ips`
--

CREATE TABLE `bcwe_banned_ips` (
  `id` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  `date` int(11) NOT NULL,
  `reason` varchar(200) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

-- --------------------------------------------------------

--
-- Table structure for table `bcwe_config`
--

CREATE TABLE `bcwe_config` (
  `id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `value` text NOT NULL,
  `title` varchar(120) NOT NULL,
  `description` text NOT NULL,
  `option` varchar(120) NOT NULL DEFAULT '',
  `category` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

--
-- Dumping data for table `bcwe_config`
--

INSERT INTO `bcwe_config` (`id`, `name`, `value`, `title`, `description`, `option`, `category`) VALUES
(1, 'path', '', 'Pfad', 'Der Pfad auf ihrem Webserver z.b. /cms', 'text', 1),
(2, 'logtype', 'file', 'Loggingtyp', 'Legt fest wohin das Logging (sofern aktiviert) erfolgt. Entweder in die Datenbank oder in eine Textdatei.', 'select(Datei|file;Datenbank|SQL)', 1),
(3, 'logfile', 'logfile.log', 'Name des Logfiles', 'Der Name des Logfiles. Wird nur benötigt falls nicht in die Datenbank geloggt wird.', 'text', 1),
(4, 'loglevel', '2', 'Loglevel', 'Die Menge der Information die geloggt werden soll', 'select(Nur Fehler|1;Fehler und Hinweise|2;DEBUG|9999)', 1),
(5, 'sitetitle', 'BeCast Webengine', 'Seitenname', 'Der Name ihrer Webseite', 'text', 1),
(6, 'caching', '0', 'Caching', 'Caching einschalten', 'onoff', 1),
(7, 'timezone', 'Europe/Vienna', 'Zeitzone', 'Die Zeitzone der Installation', 'text', 1),
(8, 'LCLANG', 'de_AT', 'Sprache', 'Eine Systemsprache die für das Darstellen des Datums verwendet werden soll.', 'text', 1),
(9, 'cookiename', 'bcwe', 'Name des Cookies', 'Eindeutiger Name des Cookies', 'text', 1),
(10, 'firephp', '0', 'Benutze FirePHP', 'Soll FirePHP Benutzt werden?', 'yesno', 1),
(11, 'logging', '1', 'Logging', 'Logging ein oder Ausschalten', 'onoff', 1),
(12, 'startmodule', '', 'Startmodul', 'Das Modul das aufgerufen werden soll wenn keine Seite angegeben wird.', 'text', 1),
(13, 'theme', 'default', 'Seitentheme', 'Das Thema der Seite', 'text', 1),
(14, 'domain', 'becast.at', 'Domain', 'Die Domain der Webseite', 'text', 1),
(15, 'siteemail', 'noreply@becast.at', 'E-Mail Adresse', 'Von dieser E-Mailadresse aus werden alle Mails gesendet. Meist etwas wie noreply@example.com', 'text', 1),
(16, 'smilies_url', '/images', 'Smilieurl', 'Die Url zu den Smiliebildern', 'text', 1),
(17, 'smilies_table', 'bcwe_smilies', 'Smily Tabelle', 'Die Datenbanktabelle mit Smilies', 'text', 1),
(18, 'p3p_active', '1', 'Benutze P3P?', 'Soll P3P benutzt werden?', 'yesno', 1),
(19, 'p3p_string', 'CUR ADM OUR NOR STA NID', 'P3P Richtlinien', 'Die Kurzform der P3P Richtlinien', 'text', 1),
(20, 'lang', 'de', 'language', 'The standard language of the Installation.', 'language', 1),
(21, 'fullpath', '/var/html/becast', 'The full Webserver path', '', 'text', 1),
(22, 'maintenance', '0', 'Wartungsmodus', 'Seite in den Wartungsmodus schalten.', 'onoff', 2),
(23, 'maintenance_message', 'The site is closed for Maintenance. Please check back soon.', 'Wartungsnachricht', 'Eine Nachricht die den Besuchern im Wartungsmodus gezeigt wird', 'textarea', 2),
(24, 'activation', 'mail', 'Accountaktivierung', 'Wie sollen die Benutzeraccounts aktiviert werden?', 'select(Freischaltung per Mail|mail;sofortige Freischaltung|instant)', 3),
(25, 'registring', '1', 'Registrierung ausschalten', 'Hiermit kann Neuregistrierungen durch User abschalten.', 'onoff', 3),
(26, 'maxnamelength', '30', 'Usernamen Maximallänge', 'Wie lang dürfen Benutzernamen maximal sein?', 'text', 3),
(27, 'minnamelength', '4', 'Usernamen Mindestlänge', 'Wie lange müssen Usernamen mindestens sein?', 'text', 3),
(28, 'banned_usernames', '', 'Verbotene Benutzernamen', 'Welche Benutzernamen düfen nicht verwendet werden?\r\nBitte trage in jede Zeile einen Namen ein.\r\n* Steht für eine beliebige Zeichenfolge', 'textarea', 3),
(29, 'use_openid', '0', 'OpenID benutzen', 'Sollen die OpenID Funktionen aktiviert werden?', 'onoff', 4),
(30, 'captcha', '1', 'Captcha benutzen', 'Sollen die Benutzer bei der Registrierung und bei Passwort vergessen ein Captcha ausfüllen müssen?', 'select(keines|0;mCaptcha|1;reCaptcha|2)', 5),
(31, 'mcaptcha_url', 'demo.mcaptcha.org', 'mCaptcha URL', 'Die URL vom mCaptcha Service (falls mCaptcha benutzt wird)', 'text', 5),
(32, 'mcaptcha_sitekey', '', 'mCaptcha Sitekey', 'Der Sitekey vom mCaptcha Service (falls mCaptcha benutzt wird)', 'text', 5),
(33, 'mcaptcha_secret', '', 'mCaptcha Secret', 'Das Secret vom mCaptcha Service (falls mCaptcha benutzt wird)', 'text', 5),
(34, 'recaptcha_sitekey', '', 'reCaptcha Sitekey', 'The Sitekey für reCaptcha (falls reCaptcha verwendet wird)', 'text', 5),
(35, 'recaptcha_secret', '', 'reCaptcha Secret', 'reCatcha API secret (falls reCaptcha Benutzt wird)', 'text', 5);

-- --------------------------------------------------------

--
-- Table structure for table `bcwe_config_categorys`
--

CREATE TABLE `bcwe_config_categorys` (
  `cid` int(11) NOT NULL,
  `categoryname` varchar(200) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

--
-- Dumping data for table `bcwe_config_categorys`
--

INSERT INTO `bcwe_config_categorys` (`cid`, `categoryname`) VALUES
(1, 'Allgemein'),
(2, 'Wartungsmodus'),
(3, 'Registrierung'),
(4, 'OpenID'),
(5, 'Captcha');

-- --------------------------------------------------------

--
-- Table structure for table `bcwe_datacache`
--

CREATE TABLE `bcwe_datacache` (
  `cache` varchar(30) NOT NULL,
  `content` text NOT NULL,
  `expire` int(13) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

-- --------------------------------------------------------

--
-- Table structure for table `bcwe_module`
--

CREATE TABLE `bcwe_module` (
  `file` varchar(40) NOT NULL,
  `name` varchar(80) NOT NULL,
  `author` varchar(70) NOT NULL,
  `version` varchar(6) NOT NULL,
  `depends` text NOT NULL,
  `url` varchar(70) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

-- --------------------------------------------------------

--
-- Table structure for table `bcwe_navigation`
--

CREATE TABLE `bcwe_navigation` (
  `id` int(11) NOT NULL,
  `sort` mediumint(9) NOT NULL DEFAULT 0,
  `side` char(2) NOT NULL DEFAULT '',
  `name` varchar(70) NOT NULL DEFAULT '',
  `content` text NOT NULL DEFAULT '',
  `file` varchar(80) DEFAULT NULL,
  `valid` enum('F','E') NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `bcwe_navigation`
--

INSERT INTO `bcwe_navigation` (`id`, `sort`, `side`, `name`, `content`, `file`, `valid`) VALUES
(1, 2, 'r', 'login', '', 'login', 'F'),
(2, 1, 'm', 'maincontent', '', '', 'E'),
(3, 0, 'm', 'Begrüßung', '<h1>BeCast WebEngine</h1>\nDefinitiv eines der CMS aller Zeiten.', '', 'F'),
(4, 0, 'r', 'Menü', '<div class=\"widget widget_categories group\">\n<ul>\n<li><a href=\"/\" title=\"Home\">Home</a></li>\n</ul>\n</div>', '', 'F');

-- --------------------------------------------------------

--
-- Table structure for table `bcwe_role`
--

CREATE TABLE `bcwe_role` (
  `id` int(11) NOT NULL,
  `role_name` varchar(150) NOT NULL,
  `special_group` tinyint(4) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `bcwe_role`
--

INSERT INTO `bcwe_role` (`id`, `role_name`, `special_group`) VALUES
(1, 'User', 1),
(2, 'Admin', 1);

-- --------------------------------------------------------

--
-- Table structure for table `bcwe_roleset`
--

CREATE TABLE `bcwe_roleset` (
  `role_id` int(11) NOT NULL,
  `role_value_id` int(11) NOT NULL,
  `value` varchar(20) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

--
-- Dumping data for table `bcwe_roleset`
--

INSERT INTO `bcwe_roleset` (`role_id`, `role_value_id`, `value`) VALUES
(1, 1, '1'),
(1, 2, '1'),
(1, 3, '1'),
(1, 4, '1'),
(1, 5, '1'),
(1, 6, '1'),
(1, 7, '1'),
(1, 8, '1'),
(1, 9, '1'),
(1, 10, '1'),
(1, 11, '1'),
(2, 1, '0'),
(2, 2, '0'),
(2, 3, '0'),
(2, 4, '0'),
(2, 5, '0'),
(2, 6, '0'),
(2, 7, '0'),
(2, 8, '0'),
(2, 9, '0'),
(2, 10, '0'),
(2, 11, '0');

-- --------------------------------------------------------

--
-- Table structure for table `bcwe_role_values`
--

CREATE TABLE `bcwe_role_values` (
  `id` int(11) NOT NULL,
  `name` varchar(25) NOT NULL,
  `text` varchar(80) NOT NULL,
  `type` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

--
-- Dumping data for table `bcwe_role_values`
--

INSERT INTO `bcwe_role_values` (`id`, `name`, `text`, `type`) VALUES
(1, 'is_admin', 'Hat Adminrechte', 'yesno'),
(2, 'admin_cp', 'Kann das Admincenter betreten', 'yesno'),
(3, 'editgroup_admin', 'Benutzergruppen editieren', 'yesno'),
(4, 'addgroup_admin', 'Benutzergruppe hinzufügen', 'yesno'),
(5, 'config_admin', 'Einstellungen bearbeiten', 'yesno'),
(6, 'module_admin', 'Modulverwaltung', 'yesno'),
(7, 'navigation_admin', 'Navigationsverwaltung', 'yesno'),
(8, 'adduser_admin', 'User hinzufügen', 'yesno'),
(9, 'editusers_admin', 'User editieren', 'yesno'),
(10, 'versions_admin', 'Versionskontrolle', 'yesno'),
(11, 'banips_admin', 'IP Banning', 'yesno');

-- --------------------------------------------------------

--
-- Table structure for table `bcwe_sessions`
--

CREATE TABLE `bcwe_sessions` (
  `sid` varchar(32) NOT NULL DEFAULT '',
  `uid` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ip` varbinary(16) NOT NULL DEFAULT '',
  `time` int(11) NOT NULL DEFAULT 0,
  `location` varchar(150) NOT NULL DEFAULT '',
  `useragent` text NOT NULL,
  `anonymous` int(1) NOT NULL DEFAULT 0,
  `nopermission` int(1) NOT NULL DEFAULT 0
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `bcwe_users`
--

CREATE TABLE `bcwe_users` (
  `uid` int(11) NOT NULL,
  `username` varchar(50) NOT NULL,
  `realname` varchar(120) NOT NULL DEFAULT '',
  `password` varchar(64) NOT NULL,
  `salt` varchar(10) NOT NULL,
  `loginkey` varchar(50) NOT NULL,
  `openid_identity` varchar(255) NOT NULL DEFAULT '',
  `role` int(11) NOT NULL DEFAULT 1,
  `email` varchar(60) NOT NULL DEFAULT '',
  `homepage` varchar(60) NOT NULL DEFAULT '',
  `from` varchar(100) NOT NULL DEFAULT '',
  `bio` text NOT NULL DEFAULT '',
  `since` int(11) NOT NULL,
  `gender` enum('m','f','u') NOT NULL,
  `birthday` int(11) NOT NULL,
  `active` tinyint(1) NOT NULL,
  `lang` varchar(3) NOT NULL DEFAULT '',
  `lastvisit` int(11) NOT NULL DEFAULT 0,
  `lastactive` int(11) NOT NULL DEFAULT 0,
  `lastip` varbinary(16) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci PACK_KEYS=0 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `bcwe_users`
--

INSERT INTO `bcwe_users` (`uid`, `username`, `realname`, `password`, `salt`, `loginkey`, `openid_identity`, `role`, `email`, `homepage`, `from`, `bio`, `since`, `gender`, `birthday`, `active`, `lang`, `lastvisit`, `lastactive`, `lastip`) VALUES
(1, 'admin', '', 'f09a18f7beae97cf96e40f14785bd019fe3394f4f41e39dd8d78d93c134f37e7', '1111', 'anormalloginkey', '', 2, 'admin@becast.at', '', 'Localhost', '', 1748810968, 'm', 0, 1, 'en', 0, 0, 0xc1aaa708);

-- --------------------------------------------------------

--
-- Structure for view `aa_smilies`
--
DROP TABLE IF EXISTS `aa_smilies`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `aa_smilies`  AS SELECT `c4austriachat`.`ab_smilies`.`name` AS `name`, `c4austriachat`.`ab_smilies`.`find` AS `find`, `c4austriachat`.`ab_smilies`.`image` AS `image` FROM `c4austriachat`.`ab_smilies` ;

-- --------------------------------------------------------

--
-- Structure for view `aa_v_nickpage`
--
DROP TABLE IF EXISTS `aa_v_nickpage`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `aa_v_nickpage`  AS SELECT `u`.`uid` AS `uid`, `bu`.`username` AS `username`, `u`.`realname` AS `realname`, `u`.`role` AS `role`, `bu`.`website` AS `homepage`, `u`.`from` AS `from`, `u`.`bio` AS `bio`, `u`.`since` AS `since`, `u`.`gender` AS `gender`, `bu`.`birthday` AS `birthday`, `bu`.`birthdayprivacy` AS `birthdayprivacy`, `bu`.`signature` AS `signature`, `u`.`lang` AS `lang`, `u`.`lastvisit` AS `lastvisit`, `u`.`lastactive` AS `lastactive`, `u`.`lastip` AS `lastip`, `u`.`allow_grimdark` AS `allow_grimdark`, `u`.`fuid` AS `fuid`, `n`.`id` AS `id`, `n`.`np_text` AS `np_text`, `n`.`np_link1` AS `np_link1`, `n`.`np_link2` AS `np_link2`, `n`.`np_link3` AS `np_link3`, `n`.`np_link4` AS `np_link4`, `bu`.`avatar` AS `np_picture`, `n`.`np_mood` AS `np_mood`, `uf`.`ufid` AS `ufid`, `uf`.`fid1` AS `fid1`, `uf`.`fid2` AS `fid2`, `uf`.`fid3` AS `fid3` FROM (((`c10funchat`.`aa_users` `u` left join `c10funchat`.`aa_nickpage` `n` on(`n`.`id` = `u`.`uid`)) left join `c10funchat`.`ab_users` `bu` on(`bu`.`uid` = `u`.`fuid`)) left join `c10funchat`.`ab_userfields` `uf` on(`uf`.`ufid` = `bu`.`uid`)) ;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `bcwe_banned_ips`
--
ALTER TABLE `bcwe_banned_ips`
  ADD PRIMARY KEY (`id`),
  ADD KEY `ip` (`ip`);

--
-- Indexes for table `bcwe_config`
--
ALTER TABLE `bcwe_config`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `bcwe_config_categorys`
--
ALTER TABLE `bcwe_config_categorys`
  ADD PRIMARY KEY (`cid`);

--
-- Indexes for table `bcwe_datacache`
--
ALTER TABLE `bcwe_datacache`
  ADD KEY `cache` (`cache`,`expire`);

--
-- Indexes for table `bcwe_module`
--
ALTER TABLE `bcwe_module`
  ADD KEY `file` (`file`,`name`,`version`);

--
-- Indexes for table `bcwe_navigation`
--
ALTER TABLE `bcwe_navigation`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sort` (`sort`),
  ADD KEY `side` (`side`);

--
-- Indexes for table `bcwe_role`
--
ALTER TABLE `bcwe_role`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `bcwe_roleset`
--
ALTER TABLE `bcwe_roleset`
  ADD KEY `role_id` (`role_id`,`role_value_id`);

--
-- Indexes for table `bcwe_role_values`
--
ALTER TABLE `bcwe_role_values`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `bcwe_sessions`
--
ALTER TABLE `bcwe_sessions`
  ADD PRIMARY KEY (`sid`),
  ADD KEY `time` (`time`),
  ADD KEY `uid` (`uid`),
  ADD KEY `sid` (`sid`),
  ADD KEY `ip` (`ip`);

--
-- Indexes for table `bcwe_users`
--
ALTER TABLE `bcwe_users`
  ADD PRIMARY KEY (`uid`),
  ADD KEY `loginkey` (`loginkey`),
  ADD KEY `username` (`username`),
  ADD KEY `password` (`password`),
  ADD KEY `openid_identity` (`openid_identity`),
  ADD KEY `role` (`role`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `bcwe_banned_ips`
--
ALTER TABLE `bcwe_banned_ips`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `bcwe_config`
--
ALTER TABLE `bcwe_config`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=36;

--
-- AUTO_INCREMENT for table `bcwe_config_categorys`
--
ALTER TABLE `bcwe_config_categorys`
  MODIFY `cid` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `bcwe_navigation`
--
ALTER TABLE `bcwe_navigation`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `bcwe_role`
--
ALTER TABLE `bcwe_role`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `bcwe_role_values`
--
ALTER TABLE `bcwe_role_values`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `bcwe_users`
--
ALTER TABLE `bcwe_users`
  MODIFY `uid` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
